Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class OracleClobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.ClobMapping
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ormapping.OracleClobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary, StoreSecondary

public class OracleClobMapping
extends ClobMapping

Oracle-specific CLOB mapping that deals with Oracle's CLOB craziness.

Field Summary
`static Object` | `EMPTY_CLOB`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`OracleClobMapping()`

Method Summary
`void` | `update(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Update the given field into the secondary table for this mapping.
`void` | `update(Update update, StateManagerImpl sm, int field)` Add the crazy 'EMPTY_CLOB()' directive in the appropriate spot.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.ClobMapping
`canMap, getSQLType`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`delete, delete, getColumns, getLoadResultSet, getPKColumns, insert, insert, install, load, setPKColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`compareToNull, getDataColumns, getInstance, getInstance, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.LoadSecondary
`load`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StorePrimary
`delete, insert`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.StoreSecondary
`delete, insert`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.ormapping.PrimaryTable
`getColumns`

Field Detail

### EMPTY_CLOB

    public static final Object EMPTY_CLOB

Constructor Detail

### OracleClobMapping

    public OracleClobMapping()

Method Detail

### update

    public void update(Update update,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Add the crazy 'EMPTY_CLOB()' directive in the appropriate spot.
  Overrides:
    `update` in class `LobMapping`

### update

    public void update(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Description copied from interface: `StoreSecondary`
  Update the given field into the secondary table for this mapping.
  Overrides:
    `update` in class `LobMapping`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.